Unit tqsf7r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSF7R_p, QSF7R_p;

function tqsf7r: String;

implementation

function tqsf7r: String;
var
L1,L2 :Integer;
S,A,B,RO,FI,ALFA,BETA,E,RINT2,RINT1,XA,E1 :Real;
begin
Result := '';  {   }
S := 0.001;
A := -1.0;
B := 1.0;
RO := 100.0;
FI := 0.0;
ALFA := -S;
BETA := S;
L1 := 0;
L2 := 1;
E := 0.000000000001;
QSF7R(RINT1,RINT2,A,B,FQSF7R,RO,
     FI,E,ALFA,BETA,XA,E1,L1,L2);
RINT2 := 1/S*RINT2*1/Sqrt(6.283185);
Result := Result + Format('%20.16f %20.16f %20.16f  %20.16f  %20.16f ',
 [RINT1,RINT2,XA,E1,ALFA]) + #$0D#$0A;
UtRes('tqsf7r',Result);  {     tqsf7r.res }
exit;
end;

end.
